<?php
require_once 'includes/config.php';

try {
    // Hash password baru dengan cost 10 (sesuai dengan hash di database)
    $new_password = "supervisor123";
    $hashed_password = password_hash($new_password, PASSWORD_BCRYPT, ['cost' => 10]);
    
    // Update password supervisor
    $stmt = $db_auth->prepare("
        UPDATE supervisor 
        SET password = ?, 
            updated_at = NOW() 
        WHERE username = 'supervisor' 
        AND deleted_at IS NULL
        AND active = 'active'
    ");
    
    if ($stmt->execute([$hashed_password])) {
        // Verifikasi password telah tersimpan dengan benar
        $check_stmt = $db_auth->prepare("
            SELECT password 
            FROM supervisor 
            WHERE username = 'supervisor' 
            AND deleted_at IS NULL
        ");
        $check_stmt->execute();
        $stored_hash = $check_stmt->fetchColumn();
        
        if (password_verify($new_password, $stored_hash)) {
            echo "Password untuk user 'supervisor' berhasil direset ke: " . $new_password;
            echo "<br>Hash: " . $hashed_password;
            
            // Log aktivitas
            error_log("Password supervisor direset pada: " . date('Y-m-d H:i:s'));
        } else {
            echo "Password berhasil diupdate tapi verifikasi gagal";
        }
    } else {
        echo "Gagal mereset password supervisor";
    }
    
} catch(PDOException $e) {
    echo "Error: " . $e->getMessage();
    error_log("Reset password error: " . $e->getMessage());
} 